'use strict';

var toArray = require('args-to-arr');
var isArrayLike = require('is-array-like');

function eachArg(arr, start, callback) {
  if (!isArrayLike(arr)) {
    throw new TypeError((arr + " can't be converted to array."));
  }

  if (typeof start !== "number") {
    throw new TypeError((start + " is not a number."));
  }

  var len = arr.length;
  var extra = toArray(arguments, 3);

  for (var i = start; i < len; i++) {
    if (callback.call.apply(callback, [ this, arr[i], i ].concat( extra ))) {
      return;
    }
  }
}

module.exports = eachArg;
//# sourceMappingURL=each-arg.cjs.js.map
