import toArray from 'args-to-arr';
import isArrayLike from 'is-array-like';

function eachArg(arr, start, callback) {
  if (!isArrayLike(arr)) {
    throw new TypeError((arr + " can't be converted to array."));
  }

  if (typeof start !== "number") {
    throw new TypeError((start + " is not a number."));
  }

  var len = arr.length;
  var extra = toArray(arguments, 3);

  for (var i = start; i < len; i++) {
    if (callback.call.apply(callback, [ this, arr[i], i ].concat( extra ))) {
      return;
    }
  }
}

export default eachArg;
//# sourceMappingURL=each-arg.es.js.map
